﻿unit about;

{$IFDEF FPC}
  {$MODE DELPHI}{$H+}
{$ENDIF}

(***************************************)
(* Copyright (C) 2006, SHIRAISHI Kazuo *)
(***************************************)


interface

uses  Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ComCtrls, ExtCtrls, LResources;

type

  { TAboutBox }

  TAboutBox = class(TForm)
    Web: TLabel;
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    Memo1: TMemo;
    version: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure WebClick(Sender: TObject);
  private
    { Private 宣言 }
  public
    { Public 宣言 }
  end;

var
  AboutBox: TAboutBox;


implementation
{$IFNDEF Windows}
uses unix;
{$ENDIF}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
   version.Caption:='Version 0.5.5.5';
   Web.Font.Color:=clBlue;
end;

procedure TAboutBox.WebClick(Sender: TObject);
begin
{$IFNDEF windows}
   {$IFDEF Darwin}
   Shell('Open http://hp.vector.co.jp/authors/VA008683/index.htm');
   {$ELSE}
   Shell('firefox http://hp.vector.co.jp/authors/VA008683/index.htm &');
   {$ENDIF}
{$ENDIF}
end;



initialization
  {$i about.lrs}


end.

